summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'mate-base')
-rw-r--r--mate-base/caja/Manifest1
-rw-r--r--mate-base/caja/caja-1.24.0.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/mate-base/caja/Manifest b/mate-base/caja/Manifest
index a3301027ea97..b544d3c59ede 100644
--- a/mate-base/caja/Manifest
+++ b/mate-base/caja/Manifest
@@ -1,2 +1,3 @@
DIST caja-1.22.1.tar.xz 3462248 BLAKE2B d9c7c643778678e9562e0a2b79d04ea13eddd58dce00820d78452d670438aaef2ac86cc7ce341437c1496094ee625f462d0654c53a26705e835a6c612549792f SHA512 dea2e9cac7802df5335a716a1a7df149b637014525202600f4bf3eab293eff29bf2df66df22203aa036898149cb26ba1d05491234dc75203480925cce0333a17
DIST caja-1.22.3.tar.xz 3493232 BLAKE2B a47e94380e882b8fab16ef615dd8938063c77f7f5edfcae816fb4c3d9b84e261902dbb07a8d3ba40d32487df61050dfacc464e2b5510785748d0199a13c082f8 SHA512 9063bd0a9b6fd815f76cfefd9e87eed88588821376d0c46df9cd3ea1cada828bcee4f5f2ddb42be0178ab09a4519b34bded62cebf201dbde5dda1cf3bad95c22
+DIST caja-1.24.0.tar.xz 5221716 BLAKE2B 66d628ac0f50e2c388935420e29dfe15a8f5f127fd7b39e92ebbd67b6c929cda1a2dec1f510fb89890602adaef6a741f0ee3e15d27ab9741c5223c7966b3b908 SHA512 a68b23876cfa1171d5b1c75e4998c6b15f0ceebdc4fcaabb8d362e32e35b915b1a91a38648532ac8acc162dac50aeb4d07eff417ce2db7a8c50d68bd38a0b548
diff --git a/mate-base/caja/caja-1.24.0.ebuild b/mate-base/caja/caja-1.24.0.ebuild
new file mode 100644
index 000000000000..b97fa07c0529
--- /dev/null
+++ b/mate-base/caja/caja-1.24.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate virtualx
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Caja file manager for the MATE desktop"
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+
+IUSE="+introspection +mate packagekit xmp"
+
+COMMON_DEPEND="
+ dev-libs/atk
+ >=dev-libs/glib-2.58.1:2
+ >=dev-libs/libxml2-2.4.7:2
+ gnome-base/dconf
+ >=gnome-base/gvfs-1.10.1:0[udisks]
+ >=mate-base/mate-desktop-1.17.3:0
+ >=media-libs/libexif-0.6.14:0
+ x11-libs/cairo
+ >=x11-libs/gdk-pixbuf-2.36.5:2
+ >=x11-libs/gtk+-3.22:3[introspection?]
+ >=x11-libs/libnotify-0.7.0:0
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=x11-libs/pango-1.1.2
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+ packagekit? ( app-admin/packagekit-base )
+ xmp? ( >=media-libs/exempi-1.99.5:2 )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ virtual/libintl
+ !!mate-base/mate-file-manager
+"
+
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5:=
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.8:*
+ virtual/pkgconfig"
+
+PDEPEND="mate? ( >=x11-themes/mate-icon-theme-${MATE_BRANCH} )"
+
+# TODO: Test fails because Caja is not merged yet:
+# GLib-GIO-ERROR **: Settings schema 'org.mate.caja.preferences' is not installed
+RESTRICT="test"
+
+src_prepare() {
+ # Remove unnecessary CFLAGS.
+ sed -i -e 's:-DG.*DISABLE_DEPRECATED::g' \
+ configure.ac eel/Makefile.am || die
+
+ mate_src_prepare
+}
+
+src_configure() {
+ mate_src_configure \
+ --disable-update-mimedb \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ unset SESSION_MANAGER
+ unset DBUS_SESSION_BUS_ADDRESS
+
+ Xemake check || die "Test phase failed"
+}
+
+pkg_postinst() {
+ mate_pkg_postinst
+
+ elog "Caja can use gstreamer to preview audio files. Just make sure"
+ elog "to have the necessary plugins available to play the media type you"
+ elog "want to preview."
+}